org.gradle.api

## Class UncheckedIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.UncheckedIOException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    UnableToDeleteFileException

      public class UncheckedIOException
      extends RuntimeException

  `UncheckedIOException` is used to wrap an java.io.IOException into an unchecked exception.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UncheckedIOException()`
    `UncheckedIOException(String message)`
    `UncheckedIOException(String message, Throwable cause)`
    `UncheckedIOException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UncheckedIOException

          public UncheckedIOException()

    - #### UncheckedIOException

          public UncheckedIOException(String message)

    - #### UncheckedIOException

          public UncheckedIOException(String message,
                              Throwable cause)

    - #### UncheckedIOException

          public UncheckedIOException(Throwable cause)